module.exports = {
    env: {
        browser: true,
        node: true,
        // es6: true,
    },
    "extends": [
        "eslint:recommended",
        "plugin:vue/essential"
    ],
    parserOptions: {
        parser: 'babel-eslint',
        sourceType: 'module'
    },
    "globals": {
        "Atomics": "readonly",
        "SharedArrayBuffer": "readonly",
        "process": true
    },
    "plugins": [
        "vue"
    ],
    "parser": "vue-eslint-parser",
    rules: {
        'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
        'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
        "no-unused-vars": 'off'
      }
};
